/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

#ifndef OUTPUT_STREAM_MAPI_ADAPTER_H
#define OUTPUT_STREAM_MAPI_ADAPTER_H

#include "platform.h"
#include "vmime/utility/stream.hpp"
#include "mapidefs.h"

class outputStreamMAPIAdapter : public vmime::utility::outputStream {
public:
	outputStreamMAPIAdapter(IStream *lpStream);
	virtual ~outputStreamMAPIAdapter();
	void write(const value_type* const data, const size_type count);

private:
	IStream *lpStream;
};

#endif
